# Hedera

Hedera is the main web shop page for Verdnatura.

## Prerequisites

Required applications.
 * PHP >= 8.4
 * Node.js >= 20.0

Take a look to *debian/control* file to see additional dependencies.

Copy config.php to *config.my.php* and place your DB config there.

### Installing dependencies and launching

Pull from repository.

Run this commands on project root directory to install Node dependencies.
```
$ npm install
```

Install project dependences (debian/control).

Pull from repository [php-vn-lib](https://gitea.verdnatura.es/verdnatura/php-vn-lib) and install [dependences](https://gitea.verdnatura.es/verdnatura/php-vn-lib/src/branch/master/debian/control) of this project.

Configure config.php file.

Launch project fronted.
```
$ npm run front
```

Launch salix backend.
```
$ npm run db
$ npm run back
```
Launch project backend.
```
$ php -S 127.0.0.1:3001 -t . index.php
```

### Command line

Run server side method from command line.
```
$ php hedera-web.php -m method_path 
```

## Built with

 * [nodejs](https://nodejs.org/)
 * [php](https://www.php.net/)
 * [Webpack](https://webpack.js.org/)
 * [MooTools](https://mootools.net/)
 * [TinyMCE](https://www.tinymce.com/)
